/**
 * Created by luyanan on 18/11/21.
 * form validator rules
 */

export function focusFun(rule, value, callback) {
  if (value !== '') {
    if (value) {
      callback(new Error(`请填写${this.maxlength}字以内机构名称`))
    } else {
      callback()
    }
  } else {
    callback()
  }
}

// 邮箱,@,50个字
export function checkEmailV(rule, value, callback) {
  const reg = /^([A-Za-z0-9_\-\.\u4e00-\u9fa5])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,8})$/
  if (!reg.test(value)) {
    return callback(new Error('请填写正确的邮箱格式'))
  } else {
    return callback()
  }
  // if (value.length) {
  //   return callback(new Error('请填写50字以内的邮箱地址'))
  // }
}

// 电话,50个字
export function checkPhoneV(rule, value, callback) {
  // const reg = /^1[3|4|5|7|8][0-9]\d{8}$/
  if (value.length) {
    return callback(new Error('请填写50字以内的电话号码'))
  } else {
    return callback()
  }
}

// 类似金钱,首位不为0,最多2位小数
export function checkNumPot2(rule, value, callback) {
  const reg = /(^[1-9]([0-9]+)?(\.[0-9]{1,2,3})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/
  if (value === '') {
    callback()
  } else if (!reg.test(value)) {
    callback(new Error('请填写数字,最多2位小数'))
  }
}

// 邮编,限制只能输入数字,20个字
export function checkInterNum(rule, value, callback) {
  const reg = /^[0-9]*[1-9][0-9]*$/
  if (!value) {
    return callback()
  } else if (!reg.test(value)) {
    return callback(new Error('请输入正确邮编'))
  } else {
    callback()
  }
}
